## glite-lb-server 2.3.4

=== Makefile ===
# defaults
top_srcdir=..
stagedir=.
globalprefix=glite
lbprefix=lb
package=glite-lb-server
version=0.2.0
PREFIX=/opt/glite
prefix=
sysconfdir=/opt/glite/etc

# gridsite requires openssl libraries, we want to include the ones from globus
globus_prefix=/opt/globus
expat_prefix=/opt/expat
cares_prefix=/opt/c-ares
gsoap_prefix=/opt/gsoap
classads_prefix=/opt/classads
voms_prefix=/opt/glite
lcas_prefix=/opt/glite
gridsite_prefix=/opt/glite

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

default all: compile

GLITE_LB_SERVER_WITH_WS=yes

ifdef LB_STANDALONE
	LB_STANDALONE_FLAGS:=-DLB_STANDALONE
#	GLITE_LB_SERVER_WITH_WS=no
endif

ifdef LB_PERF
	STATIC_LIB_BK:=libglite_lb_bkserver_perf.a
	LB_PERF_FLAGS:=-DLB_PERF
else
	STATIC_LIB_BK:=libglite_lb_bkserver.a
endif

ifeq ($(GLITE_LB_SERVER_WITH_WS),yes)
	WS_CFLAGS=-DGLITE_LB_SERVER_WITH_WS 
	NSMAP=LoggingAndBookkeeping.nsmap
else
	WS_CFLAGS=
endif

GSOAP_FILES_PREFIX:= bk_ws_

YACC=bison -y
CC=gcc
CXX=g++

ifeq ($(gsoap_version),2.7.0)
	VPATH=${top_srcdir}/interface:${top_srcdir}/src:${top_srcdir}/test:${top_srcdir}/doc:${top_srcdir}/examples:${top_srcdir}/project:${gsoap_prefix}
else
	VPATH=${top_srcdir}/interface:${top_srcdir}/src:${top_srcdir}/test:${top_srcdir}/doc:${top_srcdir}/examples:${top_srcdir}/project
endif
AT3=${stagedir}${prefix}/sbin/glite-lb-at3

SUFFIXES = .T 

DEBUG:=-g -O0 -Wall

ifeq (${thrflavour},)
default_flavour=
vomsflavour:=
else
default_flavour=_${nothrflavour}
vomsflavour:=_${nothrflavour}
ifeq (${nothrflavour},gcc32) 
	vomsflavour :=
endif 
ifeq (${nothrflavour},gcc32dbg)
	vomsflavour :=
endif
endif

GRIDSITE_CFLAGS?=-I${gridsite_prefix}/include `xml2-config --cflags`
GRIDSITE_LIBS?=-L${gridsite_prefix}/${libdir} -L${gridsite_prefix}/lib -lgridsite_globus `xml2-config --libs`

LCAS_CFLAGS?=-I${lcas_prefix}/include -I${lcas_prefix}/include/glite/security
LCAS_LIBS?=-L${lcas_prefix}/${libdir} -llcas

ifneq (${classads_prefix},/usr)
	classads_libs := -L${classads_prefix}/${libdir} -L${classads_prefix}/lib
endif
CLASSADS_CFLAGS?=-I${classads_prefix}/include -I${classads_prefix}/include/classad
CLASSADS_LIBS?=${classads_libs} -lclassad

ifneq (${cares_prefix},/usr)
	cares_libs := -L${cares_prefix}/${libdir} -L${cares_prefix}/lib
endif
LIBCARES_CFLAGS?=-I${cares_prefix}/include
LIBCARES_LIBS?=${cares_libs} -lcares

GSOAP_CFLAGS?=-I${gsoap_prefix}/include -I${gsoap_prefix}/
EXPAT_CFLAGS?=-I${expat_prefix}/include
GLOBUS_GSSAPI_GSI_CFLAGS?=-I${globus_prefix}/include/${nothrflavour}

CPPUNIT_LIBS?=-L${cppunit_prefix}/${libdir} -lcppunit
CPPUNIT_CFLAGS?=-I${cppunit_prefix}/include

VOMS_CFLAGS?=-I${voms_prefix}/include -I${voms_prefix}/include/glite/security
VOMS_LIBS?=-L${voms_prefix}/${libdir} -lvomsapi${vomsflavour}

CFLAGS:= ${CFLAGS} \
	${GLOBUS_GSSAPI_GSI_CFLAGS} \
	${WS_CFLAGS} ${DEBUG} \
	-DVERSION=\"${version}\" \
	 ${GSOAP_CFLAGS} \
	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
	-I${top_srcdir}/interface \
	${EXPAT_CFLAGS} \
	${LIBCARES_CFLAGS} \
	${CLASSADS_CFLAGS} \
	${VOMS_CFLAGS} \
	${COVERAGE_FLAGS} \
	$(GRIDSITE_CFLAGS) ${LCAS_CFLAGS} ${GSOAP_CFLAGS} \
	-D_GNU_SOURCE ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} -DLB_EVENTS_BLOB

CXXFLAGS:=${CFLAGS}

ifdef LB_PROF
	SRVBONES_LIB:= ${stagedir}${prefix}/${libdir}/libglite_lbu_server_bones.la
	LB_COMMON_LIB:=${stagedir}${prefix}/${libdir}/libglite_lb_common${default_flavour}.la
	LB_UTILS_DB_LIB:=${stagedir}${prefix}/${libdir}/libglite_lbu_db.la
	CFLAGS:=${CFLAGS} -pg -g
	LDFLAGS:=${LDFLAGS} -pg
else
	SRVBONES_LIB:= -L${stagedir}${prefix}/${libdir} -lglite_lbu_server_bones
	LB_COMMON_LIB:=-L${stagedir}${prefix}/${libdir} -lglite_lb_common${default_flavour}
	LB_UTILS_DB_LIB:=-L${stagedir}${prefix}/${libdir} -lglite_lbu_db
	LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir}
endif

# LB_MACHINE_LIB:=${stagedir}${prefix}/${libdir}/libglite_lb_statemachine.a
LB_MACHINE_LIB:=-L${stagedir}${prefix}/${libdir} -lglite_lb_statemachine

ifdef LBS_DB_PROFILE
	CFLAGS:=${CFLAGS} -DLBS_DB_PROFILE
endif

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
CXXCOMPILE:=libtool --mode=compile ${CXX} ${CXXFLAGS}
LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir}  ${LDFLAGS} 
SOLINK:=libtool --mode=link ${CC} -module ${LDFLAGS} -rpath ${stagedir}${prefix}/${libdir}
INSTALL:=libtool --mode=install install
LINKXX:=libtool --mode=link  ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
XSLTPROC:=xsltproc --novalid

gsoap_bin_prefix:=${shell if [ -x  ${gsoap_prefix}/bin/soapcpp2 ]; then echo ${gsoap_prefix}/bin; else echo ${gsoap_prefix}; fi }

EXT_LIBS:=  \
	-lz \
	${GRIDSITE_LIBS} \
	${CLASSADS_LIBS} \
	${LIBCARES_LIBS} \
	${LCAS_LIBS} \
	${VOMS_LIBS}

COMMON_LIBS:= -L${stagedir}${prefix}/${libdir} -lglite_lb_common${default_flavour} -lglite_security_gss${default_flavour} -lglite_lbu_trio -lglite_lbu_maildir -lglite_lbu_log

BKSERVER_BASE_OBJS:= \
	bkserverd.o il_lbproxy.o get_events.o index.o jobstat.o jobstat_supp.o \
	seqcode.o write2rgma.o lb_html.o lb_http.o lb_proto.o cond_dump.o lb_xml_parse.o \
	lb_xml_parse_V21.o lb_text.o \
	openserver.o query.o userjobs.o db_store.o request.o store.o \
	stored_master.o srv_purge.o server_state.o dump.o lb_authz.o load.o \
	notification.o il_notification.o notif_match.o stats.o server_stats.o db_calls.o db_supp.o lb_rss.o pretty_print_wrapper.o \
	policy_gram.o policy_lex.o authz_policy.o crypto.o

gsoap_version ?= ${gsoap_default_version}

dotless_gsoap_ver:=${shell echo ${gsoap_version} | tr -d . }
ifeq ($(shell test -f ${stagedir}${prefix}/${libdir}/libglite_security_gsoap_plugin_${dotless_gsoap_ver}${default_flavour}_c.so && echo ok),ok)
	langflavour:=_c
endif
GSOAP_LIB:=-L${stagedir}${prefix}/${libdir} -lglite_security_gsoap_plugin_${dotless_gsoap_ver}${default_flavour}${langflavour}

ifeq ($(GLITE_LB_SERVER_WITH_WS),yes)
	BKSERVER_OBJS:= \
		${BKSERVER_BASE_OBJS} \
		${GSOAP_FILES_PREFIX}C.o ${GSOAP_FILES_PREFIX}Server.o \
		ws_query.o ws_lb4agu.o ws_fault.o ws_typeref.o

	BKSERVER_LIBS= \
		${SRVBONES_LIB} \
		${LB_COMMON_LIB} \
		${LB_MACHINE_LIB} \
		${LB_UTILS_DB_LIB} \
		${GSOAP_LIB} \
		${EXT_LIBS} \
		${classadslib} \
		-lglite_lbu_maildir \
		-lglite_lbu_log
else
	BKSERVER_OBJS:= ${BKSERVER_BASE_OBJS}
		
	BKSERVER_LIBS= \
		${SRVBONES_LIB} \
		${LB_COMMON_LIB} \
		${LB_MACHINE_LIB} \
		${LB_UTILS_DB_LIB} \
		-lglite_security_gss${default_flavour} \
		${EXT_LIBS} \
		${classadslib} \
		-lglite_lbu_maildir \
		-lglite_lbu_log
endif

INDEX_OBJS:= index.o index_parse.o jobstat_supp.o openserver.o \
	jobstat.o query.o get_events.o write2rgma.o index_lex.o \
	lb_authz.o store.o bkindex.o stats.o server_stats.o\
	request.o db_store.o srv_purge.o notif_match.o il_lbproxy.o dump.o lb_xml_parse.o il_notification.o lb_proto.o lb_text.o server_state.o lb_xml_parse_V21.o lb_html.o cond_dump.o notification.o seqcode.o userjobs.o load.o db_calls.o db_supp.o lb_rss.o pretty_print_wrapper.o authz_policy.o crypto.o

INDEX_LIBS:= ${SRVBONES_LIB} ${COMMON_LIBS} ${LB_MACHINE_LIB} ${EXT_LIBS} ${LB_UTILS_DB_LIB}

WS_CLIENT_OBJS:= $(GSOAP_FILES_PREFIX)C.o $(GSOAP_FILES_PREFIX)Client.o ws_fault.o ws_typeref.o
WS_CLIENT_LIBS:= ${GSOAP_LIB} -lglite_lb_common${default_flavour} \
	-lglite_lb_common${default_flavour}

HDRS=index.h lb_authz.h store.h

MAN_GZ:=glite-lb-bkindex.8.gz glite-lb-bkserverd.8.gz glite-lb-mon-db.1.gz
MAN = $(MAN_GZ:.gz=)

LIB_OBJS_BK:= \
	il_lbproxy.o get_events.o index.o jobstat.o jobstat_supp.o \
	seqcode.o lb_html.o lb_http.o lb_proto.o cond_dump.o lb_xml_parse.o \
	lb_xml_parse_V21.o lb_text.o \
	openserver.o query.o userjobs.o db_store.o request.o store.o \
	stored_master.o srv_purge.o server_state.o dump.o lb_authz.o load.o \
	notification.o il_notification.o notif_match.o stats.o server_stats.o write2rgma.o \
	db_calls.o db_supp.o lb_rss.o pretty_print_wrapper.o authz_policy.o \
	crypto.o

MONDB_OBJS:=mon-db.o ${LIB_OBJS_BK}
MONDB_LIBS:=${COMMON_LIBS} ${LB_MACHINE_LIB} ${LB_UTILS_DB_LIB} ${EXT_LIBS}

LCAS_PLUGIN_OBJS:=lcas_lb.o
LCAS_PLUGIN_LOBJS:=${LCAS_PLUGIN_OBJS:.o=.lo}
LCAS_PLUGIN_LIB:=liblcas_lb.la

EXAMPLES=

TESTS=test_coverage test_xml test_query_events test_soap_conv

SCRIPTS=startup glite-lb-server-purge.cron glite-lb-proxy-purge.cron glite-lb-notif-keeper.cron
SCRIPTS_SRC=$(addprefix ${top_srcdir}/config/,${SCRIPTS})

glite-lb-bkserverd: ${NSMAP} ${BKSERVER_OBJS}
	${LINKXX} -o $@ ${BKSERVER_OBJS} ${BKSERVER_LIBS} -Wl,--export-dynamic

glite-lb-bkindex: ${INDEX_OBJS}
	${LINKXX} -o $@ ${INDEX_OBJS} ${INDEX_LIBS}

glite-lb-mon-db: ${MONDB_OBJS}
	${LINKXX} -o $@ ${MONDB_OBJS} ${MONDB_LIBS}

compile: generate ${SCRIPTS} glite-lb-bkserverd glite-lb-bkindex glite-lb-mon-db ${STATIC_LIB_BK} ${LCAS_PLUGIN_LIB} ${MAN_GZ}

generate: store.c index.c 

${SCRIPTS}: ${SCRIPTS_SRC}
	glite_var="${localstatedir}/glite"; \
	if echo "${localstatedir}" | grep 'glite'>/dev/null; then \
		glite_var="${localstatedir}"; \
	fi; \
	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' -e "s:@glite_var@:$$glite_var:" ${top_srcdir}/config/$@ > $@

check: compile test.xml test.query
	-echo check.query not complete yet

test_coverage:
	-mkdir coverage
	cd coverage && $(MAKE) -f ../Makefile top_srcdir=../../ COVERAGE_FLAGS="-fprofile-arcs -ftest-coverage" check
	cd coverage && for i in `echo ${INDEX_OBJS} ${BKSERVER_OBJS} | tr ' ' '\012' | sort -u`; do gcov $$i ; done

lb_xml_parse.c: lb_xml_parse.c.T
	rm -f $@
	${AT3} $< >$@ || ( rm -f $@; false )
	chmod -w $@ >/dev/null

${GSOAP_FILES_PREFIX}H.h ${GSOAP_FILES_PREFIX}C.c ${GSOAP_FILES_PREFIX}Server.c ${GSOAP_FILES_PREFIX}Client.c ${GSOAP_FILES_PREFIX}ServerLib.c ${GSOAP_FILES_PREFIX}ClientLib.c LoggingAndBookkeeping.nsmap: LB.xh
	${gsoap_bin_prefix}/soapcpp2 -w -c -p ${GSOAP_FILES_PREFIX} LB.xh

# try several times -- LB.wsdl downloads BaseFault.xsd from www.ibm.com which may be failing
# not used right now but may be useful one day
# LB.xh: ws_typemap.dat
#	${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl || \
#	{ sleep 1 ; ${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl; } || \
#	{ sleep 4 ; ${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl; } || \
#	{ sleep 16 ; ${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl; }

LB.xh: ws_typemap.dat ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl
	${gsoap_bin_prefix}/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -I${stagedir}${prefix}/share/wsdl/glite-lb -o $@ ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl

test.xml: test_xml
	LD_LIBRARY_PATH=${cares_prefix}/${libdir}:${classads_prefix}/${libdir}:${LD_LIBRARY_PATH} ./test_xml

test_xml: test_xml.cpp
	${CXX} -c ${CFLAGS} ${CPPUNIT_CFLAGS} $<
	${LINKXX} -o $@ test_xml.o lb_xml_parse.o ${LB_COMMON_LIB} ${CPPUNIT_LIBS}

test.query: test_query_events
	# XXX coredumps ./test_query_events

#query_events_objs:=`echo ${BKSERVER_BASE_OBJS} |sed 's/bkserverd\.o//;s/db_store\.o//;s/stored_master\.o//;s/store\.o//;s/srv_purge\.o//;s/load\.o//;s/dump\.o//;s/lb_proto\.o//;s/lb_html\.o//;s/lb_http\.o//;'`

query_events_objs := test_query_events.o query.o get_events.o jobstat_supp.o index.o db_supp.o

test_query_events: ${query_events_objs}
	${LINKXX} -o $@ ${query_events_objs} \
	${CPPUNIT_LIBS} ${LB_COMMON_LIB} ${LB_MACHINE_LIB} ${classadslib} -lglite_lbu_log

test.soapconv: test_soap_conv
	LD_LIBRARY_PATH=${cares_prefix}/${libdir}:${classads_prefix}/${libdir}:${LD_LIBRARY_PATH} ./test_soap_conv

test_soap_conv: test_soap_conv.cpp ${WS_CLIENT_OBJS}
	${CXX} -c ${CFLAGS} ${CPPUNIT_CFLAGS} $<
	${LINKXX} -o $@ test_soap_conv.o ${WS_CLIENT_OBJS} ${WS_CLIENT_LIBS} ${CPPUNIT_LIBS}

examples: ${EXAMPLES}

${STATIC_LIB_BK}: ${LIB_OBJS_BK}
	ar crv $@ ${LIB_OBJS_BK}
	ranlib $@

${LCAS_PLUGIN_LIB}: ${LCAS_PLUGIN_LOBJS}
	${LINK} -o $@ $^

doc: ${MAN_GZ}

man: ${MAN_GZ}

=== debian/changelog ===
glite-lb-server (2.3.4-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:59:44 +0200

=== debian/control ===
Source: glite-lb-server
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), bison, chrpath, flex, glite-lb-types, glite-lb-ws-interface, gsoap, libc-ares-dev, libc-ares2, libclassad-dev, libclassad1, libcppunit-dev, libexpat1, libexpat1-dev, libglobus-gssapi-gsi-dev, libglite-jobid-api-c-dev, libglite-lb-common-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-gsoap-plugin-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-server-bones-dev, libglite-lbjp-common-trio-dev, libgridsite-dev, liblcas-dev, libtool, libxml2, libxml2-dev, voms-dev
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-server
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mysql-server
Description: gLite Logging and Bookkeeping server
 glite-lb-server is the gLite LB server. This package contains the LB server
 daemon (glite-lb-bkserverd) and a tool for rebuilding server indices
 (glite-lb-bkindex).

Package: glite-lb-server-dbg
Section: debug
Architecture: any
Priority: extra
Depends: glite-lb-server (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B server debugging symbols
 This package contains debugging symbols for gLite L&B server.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.server
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server-2.3.4 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server
	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server; \
	 rm -fv ChangeLog LICENSE; \
	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installinit --onlyscripts --no-start
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lb-server-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lb-server 2.3.5

=== Makefile ===
--- 
+++ 
@@ -224,7 +224,9 @@
 
 HDRS=index.h lb_authz.h store.h
 
-MAN_GZ:=glite-lb-bkindex.8.gz glite-lb-bkserverd.8.gz glite-lb-mon-db.1.gz
+MAN1_GZ:=glite-lb-mon-db.1.gz
+MAN8_GZ:=glite-lb-bkindex.8.gz glite-lb-bkserverd.8.gz
+MAN_GZ:=$(MAN1_GZ) $(MAN8_GZ)
 MAN = $(MAN_GZ:.gz=)
 
 LIB_OBJS_BK:= \
@@ -330,9 +332,3 @@
 	ranlib $@
 
 ${LCAS_PLUGIN_LIB}: ${LCAS_PLUGIN_LOBJS}
-	${LINK} -o $@ $^
-
-doc: ${MAN_GZ}
-
-man: ${MAN_GZ}
-

=== debian/changelog ===
glite-lb-server (2.3.5-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 04 May 2012 14:43:21 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), bison, chrpath, flex, glite-lb-types, glite-lb-ws-interface, gsoap, libc-ares-dev, libc-ares2, libclassad-dev, libclassad1, libcppunit-dev, libexpat1, libexpat1-dev, libglobus-gssapi-gsi-dev, libglite-jobid-api-c-dev, libglite-lb-common-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-gsoap-plugin-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-server-bones-dev, libglite-lbjp-common-trio-dev, libgridsite-dev, liblcas-dev, libtool, libxml2, libxml2-dev, voms-dev
+Build-Depends: debhelper (>= 7.0.50~), bison, chrpath, flex, glite-lb-types, glite-lb-ws-interface, gsoap, libc-ares-dev, libc-ares2, libclassad0-dev | libclassad-dev, libcppunit-dev, libexpat1, libexpat1-dev, libglobus-gssapi-gsi-dev, libglite-jobid-api-c-dev, libglite-lb-common-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-gsoap-plugin-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-server-bones-dev, libglite-lbjp-common-trio-dev, libgridsite-dev, liblcas-dev, libtool, libxml2, libxml2-dev, pkg-config, voms-dev
 Standards-Version: 3.9.1
 Section: misc
 Homepage: http://glite.cern.ch

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,10 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server-2.3.4 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server
+	rm -vf $(CURDIR)/debian/tmp/usr/lib/modules/*.la
+	rm -vf $(CURDIR)/debian/tmp/usr/lib/modules/*.a
+	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server-2.3.5 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-server 2.3.6

=== Makefile ===
--- 
+++ 
@@ -89,6 +89,12 @@
 endif
 CLASSADS_CFLAGS?=-I${classads_prefix}/include -I${classads_prefix}/include/classad
 CLASSADS_LIBS?=${classads_libs} -lclassad
+classad_namespace:=${shell if ${classads_prefix}/bin/classad_version | grep -i 'classad namespace.*yes' >/dev/null; then echo yes; fi}
+ifeq (${classad_namespace},yes)
+CLASSADS_CFLAGS+=-DCLASSAD_NAMESPACE=classad::
+else
+CLASSADS_CFLAGS+=-DCLASSAD_NAMESPACE=
+endif
 
 ifneq (${cares_prefix},/usr)
 	cares_libs := -L${cares_prefix}/${libdir} -L${cares_prefix}/lib
@@ -97,7 +103,13 @@
 LIBCARES_LIBS?=${cares_libs} -lcares
 
 GSOAP_CFLAGS?=-I${gsoap_prefix}/include -I${gsoap_prefix}/
+ifeq (${expat_prefix},/usr)
+EXPAT_CFLAGS?=
+EXPAT_LIBS?=-lexpat
+else
 EXPAT_CFLAGS?=-I${expat_prefix}/include
+EXPAT_LIBS?=-L${expat_prefix}/${libdir} -lexpat
+endif
 GLOBUS_GSSAPI_GSI_CFLAGS?=-I${globus_prefix}/include/${nothrflavour}
 
 CPPUNIT_LIBS?=-L${cppunit_prefix}/${libdir} -lcppunit
@@ -154,7 +166,6 @@
 gsoap_bin_prefix:=${shell if [ -x  ${gsoap_prefix}/bin/soapcpp2 ]; then echo ${gsoap_prefix}/bin; else echo ${gsoap_prefix}; fi }
 
 EXT_LIBS:=  \
-	-lz \
 	${GRIDSITE_LIBS} \
 	${CLASSADS_LIBS} \
 	${LIBCARES_LIBS} \
@@ -178,7 +189,7 @@
 ifeq ($(shell test -f ${stagedir}${prefix}/${libdir}/libglite_security_gsoap_plugin_${dotless_gsoap_ver}${default_flavour}_c.so && echo ok),ok)
 	langflavour:=_c
 endif
-GSOAP_LIB:=-L${stagedir}${prefix}/${libdir} -lglite_security_gsoap_plugin_${dotless_gsoap_ver}${default_flavour}${langflavour}
+GSOAP_LIB:=-L${stagedir}${prefix}/${libdir} -lglite_security_gsoap_plugin_${dotless_gsoap_ver}${default_flavour}${langflavour} -lglite_security_gss${default_flavour} ${GSOAP_LIBS}
 
 ifeq ($(GLITE_LB_SERVER_WITH_WS),yes)
 	BKSERVER_OBJS:= \
@@ -193,9 +204,11 @@
 		${LB_UTILS_DB_LIB} \
 		${GSOAP_LIB} \
 		${EXT_LIBS} \
-		${classadslib} \
+		${EXPAT_LIBS} \
 		-lglite_lbu_maildir \
-		-lglite_lbu_log
+		-lglite_lbu_log \
+		-lglite_lbu_trio \
+		-lglite_jobid
 else
 	BKSERVER_OBJS:= ${BKSERVER_BASE_OBJS}
 		
@@ -206,9 +219,11 @@
 		${LB_UTILS_DB_LIB} \
 		-lglite_security_gss${default_flavour} \
 		${EXT_LIBS} \
-		${classadslib} \
+		${EXPAT_LIBS} \
 		-lglite_lbu_maildir \
-		-lglite_lbu_log
+		-lglite_lbu_log \
+		-lglite_lbu_trio \
+		-lglite_jobid
 endif
 
 INDEX_OBJS:= index.o index_parse.o jobstat_supp.o openserver.o \
@@ -216,7 +231,8 @@
 	lb_authz.o store.o bkindex.o stats.o server_stats.o\
 	request.o db_store.o srv_purge.o notif_match.o il_lbproxy.o dump.o lb_xml_parse.o il_notification.o lb_proto.o lb_text.o server_state.o lb_xml_parse_V21.o lb_html.o cond_dump.o notification.o seqcode.o userjobs.o load.o db_calls.o db_supp.o lb_rss.o pretty_print_wrapper.o authz_policy.o crypto.o
 
-INDEX_LIBS:= ${SRVBONES_LIB} ${COMMON_LIBS} ${LB_MACHINE_LIB} ${EXT_LIBS} ${LB_UTILS_DB_LIB}
+INDEX_LIBS:= ${SRVBONES_LIB} ${COMMON_LIBS} ${LB_MACHINE_LIB} ${EXT_LIBS} \
+	${EXPAT_LIBS} ${LB_UTILS_DB_LIB} -lglite_lbu_trio -lglite_jobid
 
 WS_CLIENT_OBJS:= $(GSOAP_FILES_PREFIX)C.o $(GSOAP_FILES_PREFIX)Client.o ws_fault.o ws_typeref.o
 WS_CLIENT_LIBS:= ${GSOAP_LIB} -lglite_lb_common${default_flavour} \
@@ -240,7 +256,8 @@
 	crypto.o
 
 MONDB_OBJS:=mon-db.o ${LIB_OBJS_BK}
-MONDB_LIBS:=${COMMON_LIBS} ${LB_MACHINE_LIB} ${LB_UTILS_DB_LIB} ${EXT_LIBS}
+MONDB_LIBS:=${COMMON_LIBS} ${LB_MACHINE_LIB} ${LB_UTILS_DB_LIB} ${EXT_LIBS} \
+	${EXPAT_LIBS} -lglite_lbu_trio -lglite_jobid
 
 LCAS_PLUGIN_OBJS:=lcas_lb.o
 LCAS_PLUGIN_LOBJS:=${LCAS_PLUGIN_OBJS:.o=.lo}
@@ -305,30 +322,10 @@
 
 test_xml: test_xml.cpp
 	${CXX} -c ${CFLAGS} ${CPPUNIT_CFLAGS} $<
-	${LINKXX} -o $@ test_xml.o lb_xml_parse.o ${LB_COMMON_LIB} ${CPPUNIT_LIBS}
+	${LINKXX} -o $@ test_xml.o lb_xml_parse.o ${LB_COMMON_LIB} ${CPPUNIT_LIBS} ${EXPAT_LIBS} -lglite_lbu_trio -lglite_jobid
 
 test.query: test_query_events
 	# XXX coredumps ./test_query_events
 
 #query_events_objs:=`echo ${BKSERVER_BASE_OBJS} |sed 's/bkserverd\.o//;s/db_store\.o//;s/stored_master\.o//;s/store\.o//;s/srv_purge\.o//;s/load\.o//;s/dump\.o//;s/lb_proto\.o//;s/lb_html\.o//;s/lb_http\.o//;'`
 
-query_events_objs := test_query_events.o query.o get_events.o jobstat_supp.o index.o db_supp.o
-
-test_query_events: ${query_events_objs}
-	${LINKXX} -o $@ ${query_events_objs} \
-	${CPPUNIT_LIBS} ${LB_COMMON_LIB} ${LB_MACHINE_LIB} ${classadslib} -lglite_lbu_log
-
-test.soapconv: test_soap_conv
-	LD_LIBRARY_PATH=${cares_prefix}/${libdir}:${classads_prefix}/${libdir}:${LD_LIBRARY_PATH} ./test_soap_conv
-
-test_soap_conv: test_soap_conv.cpp ${WS_CLIENT_OBJS}
-	${CXX} -c ${CFLAGS} ${CPPUNIT_CFLAGS} $<
-	${LINKXX} -o $@ test_soap_conv.o ${WS_CLIENT_OBJS} ${WS_CLIENT_LIBS} ${CPPUNIT_LIBS}
-
-examples: ${EXAMPLES}
-
-${STATIC_LIB_BK}: ${LIB_OBJS_BK}
-	ar crv $@ ${LIB_OBJS_BK}
-	ranlib $@
-
-${LCAS_PLUGIN_LIB}: ${LCAS_PLUGIN_LOBJS}

=== debian/changelog ===
glite-lb-server (2.3.6-1) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:29:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/modules/*.la
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/modules/*.a
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server-2.3.5 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server-2.3.6 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-server 2.4.3

=== Makefile ===
--- 
+++ 
@@ -19,14 +19,27 @@
 lcas_prefix=/opt/glite
 gridsite_prefix=/opt/glite
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
 
-default all: compile
+SOURCES=\
+	config/glite-lb-* config/my.cnf config/site-notif.conf config/startup \
+	doc/*.1 doc/*.8 \
+	interface/*.h \
+	src/*.c src/*.cpp src/*.h src/*.c.T src/*.l src/*.y src/*.sh src/ws_typemap.dat \
+	project/.post* project/.pre* \
+	test/*.cpp test/*.cpp.T test/*.sh test/oneJob.qry test/*.c \
+	LICENSE Makefile
+SOURCES_EXEC=config/startup src/*.sh test/*.sh
+
+all: compile
 
 GLITE_LB_SERVER_WITH_WS=yes
+GLITE_LB_SERVER_WITH_LCAS=no
 
 ifdef LB_STANDALONE
 	LB_STANDALONE_FLAGS:=-DLB_STANDALONE
@@ -79,10 +92,12 @@
 endif
 
 GRIDSITE_CFLAGS?=-I${gridsite_prefix}/include `xml2-config --cflags`
-GRIDSITE_LIBS?=-L${gridsite_prefix}/${libdir} -L${gridsite_prefix}/lib -lgridsite_globus `xml2-config --libs`
-
-LCAS_CFLAGS?=-I${lcas_prefix}/include -I${lcas_prefix}/include/glite/security
+GRIDSITE_LIBS?=-L${gridsite_prefix}/${libdir} -L${gridsite_prefix}/lib -lgridsite `xml2-config --libs`
+
+ifeq (${GLITE_LB_SERVER_WITH_LCAS},yes)
+LCAS_CFLAGS?=-I${lcas_prefix}/include -I${lcas_prefix}/include/glite/security -DHAVE_LCAS
 LCAS_LIBS?=-L${lcas_prefix}/${libdir} -llcas
+endif
 
 ifneq (${classads_prefix},/usr)
 	classads_libs := -L${classads_prefix}/${libdir} -L${classads_prefix}/lib
@@ -111,6 +126,7 @@
 EXPAT_LIBS?=-L${expat_prefix}/${libdir} -lexpat
 endif
 GLOBUS_GSSAPI_GSI_CFLAGS?=-I${globus_prefix}/include/${nothrflavour}
+KERBEROS_GSSAPI_GSI_CFLAGS=-DNO_GLOBUS_GSSAPI
 
 CPPUNIT_LIBS?=-L${cppunit_prefix}/${libdir} -lcppunit
 CPPUNIT_CFLAGS?=-I${cppunit_prefix}/include
@@ -118,8 +134,18 @@
 VOMS_CFLAGS?=-I${voms_prefix}/include -I${voms_prefix}/include/glite/security
 VOMS_LIBS?=-L${voms_prefix}/${libdir} -lvomsapi${vomsflavour}
 
-CFLAGS:= ${CFLAGS} \
-	${GLOBUS_GSSAPI_GSI_CFLAGS} \
+GLITE_LBJP_COMMON_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss glite-security-gsoap-plugin --cflags`
+
+ifeq ($(gssapi_provider), kerberos)
+GSSAPI_GSI_CFLAGS=${KERBEROS_GSSAPI_GSI_CFLAGS}
+VOMS_LIBS=
+VOMS_CFLAGS=
+else
+GSSAPI_GSI_CFLAGS=${GLOBUS_GSSAPI_GSI_CFLAGS}
+endif
+
+CFLAGS:= \
+	${GSSAPI_GSI_CFLAGS} \
 	${WS_CFLAGS} ${DEBUG} \
 	-DVERSION=\"${version}\" \
 	 ${GSOAP_CFLAGS} \
@@ -131,7 +157,8 @@
 	${VOMS_CFLAGS} \
 	${COVERAGE_FLAGS} \
 	$(GRIDSITE_CFLAGS) ${LCAS_CFLAGS} ${GSOAP_CFLAGS} \
-	-D_GNU_SOURCE ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} -DLB_EVENTS_BLOB
+	-D_GNU_SOURCE ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} -DLB_EVENTS_BLOB \
+	${GLITE_LBJP_COMMON_CFLAGS} ${CFLAGS}
 
 CXXFLAGS:=${CFLAGS}
 
@@ -168,9 +195,14 @@
 EXT_LIBS:=  \
 	${GRIDSITE_LIBS} \
 	${CLASSADS_LIBS} \
-	${LIBCARES_LIBS} \
+	${LIBCARES_LIBS} 
+
+ifeq ($(gssapi_provider), kerberos)
+else
+EXT_LIBS+= \
 	${LCAS_LIBS} \
 	${VOMS_LIBS}
+endif
 
 COMMON_LIBS:= -L${stagedir}${prefix}/${libdir} -lglite_lb_common${default_flavour} -lglite_security_gss${default_flavour} -lglite_lbu_trio -lglite_lbu_maildir -lglite_lbu_log
 
@@ -259,13 +291,15 @@
 MONDB_LIBS:=${COMMON_LIBS} ${LB_MACHINE_LIB} ${LB_UTILS_DB_LIB} ${EXT_LIBS} \
 	${EXPAT_LIBS} -lglite_lbu_trio -lglite_jobid
 
+ifeq (${GLITE_LB_SERVER_WITH_LCAS},yes)
 LCAS_PLUGIN_OBJS:=lcas_lb.o
 LCAS_PLUGIN_LOBJS:=${LCAS_PLUGIN_OBJS:.o=.lo}
 LCAS_PLUGIN_LIB:=liblcas_lb.la
+endif
 
 EXAMPLES=
 
-TESTS=test_coverage test_xml test_query_events test_soap_conv
+TESTS=test_coverage test_xml test_query_events test_soap_conv test_query_parse
 
 SCRIPTS=startup glite-lb-server-purge.cron glite-lb-proxy-purge.cron glite-lb-notif-keeper.cron
 SCRIPTS_SRC=$(addprefix ${top_srcdir}/config/,${SCRIPTS})
@@ -290,7 +324,7 @@
 	fi; \
 	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' -e "s:@glite_var@:$$glite_var:" ${top_srcdir}/config/$@ > $@
 
-check: compile test.xml test.query
+check: compile test.xml test.query test.query_parse
 	-echo check.query not complete yet
 
 test_coverage:
@@ -312,20 +346,3 @@
 #	${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl || \
 #	{ sleep 1 ; ${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl; } || \
 #	{ sleep 4 ; ${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl; } || \
-#	{ sleep 16 ; ${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl; }
-
-LB.xh: ws_typemap.dat ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl
-	${gsoap_bin_prefix}/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -I${stagedir}${prefix}/share/wsdl/glite-lb -o $@ ${stagedir}${prefix}/share/wsdl/glite-lb/LB.wsdl
-
-test.xml: test_xml
-	LD_LIBRARY_PATH=${cares_prefix}/${libdir}:${classads_prefix}/${libdir}:${LD_LIBRARY_PATH} ./test_xml
-
-test_xml: test_xml.cpp
-	${CXX} -c ${CFLAGS} ${CPPUNIT_CFLAGS} $<
-	${LINKXX} -o $@ test_xml.o lb_xml_parse.o ${LB_COMMON_LIB} ${CPPUNIT_LIBS} ${EXPAT_LIBS} -lglite_lbu_trio -lglite_jobid
-
-test.query: test_query_events
-	# XXX coredumps ./test_query_events
-
-#query_events_objs:=`echo ${BKSERVER_BASE_OBJS} |sed 's/bkserverd\.o//;s/db_store\.o//;s/stored_master\.o//;s/store\.o//;s/srv_purge\.o//;s/load\.o//;s/dump\.o//;s/lb_proto\.o//;s/lb_html\.o//;s/lb_http\.o//;'`
-

=== debian/changelog ===
glite-lb-server (2.4.3-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,13 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), bison, chrpath, flex, glite-lb-types, glite-lb-ws-interface, gsoap, libc-ares-dev, libc-ares2, libclassad0-dev | libclassad-dev, libcppunit-dev, libexpat1, libexpat1-dev, libglobus-gssapi-gsi-dev, libglite-jobid-api-c-dev, libglite-lb-common-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-gsoap-plugin-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-server-bones-dev, libglite-lbjp-common-trio-dev, libgridsite-dev, liblcas-dev, libtool, libxml2, libxml2-dev, pkg-config, voms-dev
+Build-Depends: debhelper (>= 7.0.50~), bison, chrpath, flex, glite-lb-types, glite-lb-ws-interface, gsoap, libc-ares-dev, libclassad0-dev | libclassad-dev, libcppunit-dev, libexpat1-dev, libglite-jobid-api-c-dev, libglite-lb-common-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-gsoap-plugin-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-server-bones-dev, libglite-lbjp-common-trio-dev, libgridsite-dev, libtool, libxml2-dev, pkg-config, voms-dev
+# gssapi is needed explicitly for glite-lb-server, but the proper package is
+# known only in libglite-lbjp-common-gss-dev:
+#  - gssapi from Globus (libglobus-gssapi-gsi-dev)
+#  - gssapi from MIT Kerberos (libkrb5-dev)
+#  - gssapi from Heimdal Kerberos (heimdal-dev)
+#Build-Depends: libglobus-gssapi-gsi-dev
 Standards-Version: 3.9.1
 Section: misc
 Homepage: http://glite.cern.ch

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/modules/*.la
 	rm -vf $(CURDIR)/debian/tmp/usr/lib/modules/*.a
 	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
-	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server-2.3.6 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server
+	mv $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server-2.4.3 $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server
 	(cd $(CURDIR)/debian/tmp/usr/share/doc/glite-lb-server; \
 	 rm -fv ChangeLog LICENSE; \
 	 cat $(CURDIR)/project/ChangeLog | gzip -9 > changelog.gz)

## glite-lb-server 3.0.8

=== Makefile ===
--- 
+++ 
@@ -27,14 +27,14 @@
 version=${module.version}
 
 SOURCES=\
-	config/glite-lb-* config/my.cnf config/site-notif.conf config/startup \
+	config/glite-lb* config/my.cnf config/*.conf config/startup config/setup config/systemd.* \
 	doc/*.1 doc/*.8 \
 	interface/*.h \
-	src/*.c src/*.cpp src/*.h src/*.c.T src/*.l src/*.y src/*.sh src/ws_typemap.dat \
+	src/*.c src/*.cpp src/*.h src/*.c.T src/*.l src/*.y src/*.sh src/*.sh.in src/ws_typemap.dat \
 	project/.post* project/.pre* \
 	test/*.cpp test/*.cpp.T test/*.sh test/oneJob.qry test/*.c \
-	LICENSE Makefile
-SOURCES_EXEC=config/startup src/*.sh test/*.sh
+	Makefile
+SOURCES_EXEC=config/glite-lb-migrate* config/startup config/setup src/*.sh test/*.sh
 
 all: compile
 
@@ -60,6 +60,16 @@
 	WS_CFLAGS=
 endif
 
+ifeq ($(os_type),debian)
+sysdefaultdir=${sysconfdir}/default
+else
+sysdefaultdir=${sysconfdir}/sysconfig
+endif
+
+ifeq ($(os_type),fedora)
+unitdir=`pkg-config systemd --variable=systemdsystemunitdir`
+endif
+
 GSOAP_FILES_PREFIX:= bk_ws_
 
 YACC=bison -y
@@ -71,7 +81,7 @@
 else
 	VPATH=${top_srcdir}/interface:${top_srcdir}/src:${top_srcdir}/test:${top_srcdir}/doc:${top_srcdir}/examples:${top_srcdir}/project
 endif
-AT3=${stagedir}${prefix}/sbin/glite-lb-at3
+AT3=${stagedir}${prefix}/bin/glite-lb-at3
 
 SUFFIXES = .T 
 
@@ -273,7 +283,7 @@
 HDRS=index.h lb_authz.h store.h
 
 MAN1_GZ:=glite-lb-mon-db.1.gz
-MAN8_GZ:=glite-lb-bkindex.8.gz glite-lb-bkserverd.8.gz
+MAN8_GZ:=glite-lb-bkindex.8.gz glite-lb-bkserverd.8.gz glite-lb-setup.8.gz
 MAN_GZ:=$(MAN1_GZ) $(MAN8_GZ)
 MAN = $(MAN_GZ:.gz=)
 
@@ -301,7 +311,8 @@
 
 TESTS=test_coverage test_xml test_query_events test_soap_conv test_query_parse
 
-SCRIPTS=startup glite-lb-server-purge.cron glite-lb-proxy-purge.cron glite-lb-notif-keeper.cron
+SCRIPTS=startup setup glite-lb-server-purge.cron glite-lb-proxy-purge.cron glite-lb-notif-keeper.cron glite-lb
+SCRIPTS2=export.sh notif-keeper.sh
 SCRIPTS_SRC=$(addprefix ${top_srcdir}/config/,${SCRIPTS})
 
 glite-lb-bkserverd: ${NSMAP} ${BKSERVER_OBJS}
@@ -313,7 +324,7 @@
 glite-lb-mon-db: ${MONDB_OBJS}
 	${LINKXX} -o $@ ${MONDB_OBJS} ${MONDB_LIBS}
 
-compile: generate ${SCRIPTS} glite-lb-bkserverd glite-lb-bkindex glite-lb-mon-db ${STATIC_LIB_BK} ${LCAS_PLUGIN_LIB} ${MAN_GZ}
+compile: generate ${SCRIPTS} ${SCRIPTS2} glite-lb-bkserverd glite-lb-bkindex glite-lb-mon-db ${STATIC_LIB_BK} ${LCAS_PLUGIN_LIB} ${MAN_GZ}
 
 generate: store.c index.c 
 
@@ -322,7 +333,20 @@
 	if echo "${localstatedir}" | grep 'glite'>/dev/null; then \
 		glite_var="${localstatedir}"; \
 	fi; \
-	sed -e 's:@glite_prefix@:${sysroot}${prefix}:' -e 's:@glite_etc@:${sysconfdir}:' -e "s:@glite_var@:$$glite_var:" ${top_srcdir}/config/$@ > $@
+	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' -e "s:@glite_var@:$$glite_var:g" -e 's:@defaultdir@:${sysdefaultdir}:g' ${top_srcdir}/config/$@ > $@
+ifneq ($(os_type),debian)
+	sed -i 's/# \(Default-Start\|Default-Stop\):.*/# \1:/' $@
+endif
+	sed "s/^@$(os_type)@//" $@ > $@.tmp
+	grep -v '^@' $@.tmp > $@
+	rm $@.tmp
+
+%.sh: %.sh.in
+	glite_var="${localstatedir}/glite"; \
+	if echo "${localstatedir}" | grep 'glite'>/dev/null; then \
+		glite_var="${localstatedir}"; \
+	fi; \
+	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' -e "s:@glite_var@:$$glite_var:g" -e 's:@defaultdir@:${sysdefaultdir}:g' $< > $@
 
 check: compile test.xml test.query test.query_parse
 	-echo check.query not complete yet
@@ -335,14 +359,3 @@
 lb_xml_parse.c: lb_xml_parse.c.T
 	rm -f $@
 	${AT3} $< >$@ || ( rm -f $@; false )
-	chmod -w $@ >/dev/null
-
-${GSOAP_FILES_PREFIX}H.h ${GSOAP_FILES_PREFIX}C.c ${GSOAP_FILES_PREFIX}Server.c ${GSOAP_FILES_PREFIX}Client.c ${GSOAP_FILES_PREFIX}ServerLib.c ${GSOAP_FILES_PREFIX}ClientLib.c LoggingAndBookkeeping.nsmap: LB.xh
-	${gsoap_bin_prefix}/soapcpp2 -w -c -p ${GSOAP_FILES_PREFIX} LB.xh
-
-# try several times -- LB.wsdl downloads BaseFault.xsd from www.ibm.com which may be failing
-# not used right now but may be useful one day
-# LB.xh: ws_typemap.dat
-#	${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl || \
-#	{ sleep 1 ; ${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl; } || \
-#	{ sleep 4 ; ${gsoap_prefix}/bin/wsdl2h -c -t ${top_srcdir}/src/ws_typemap.dat -o $@ ${stagedir}${prefix}/interface/LB.wsdl; } || \

=== debian/changelog ===
glite-lb-server (3.0.8-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 04 Feb 2013 21:22:02 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Package: glite-lb-server
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mysql-server
+Depends: ${shlibs:Depends}, ${misc:Depends}, mysql-server, glite-lb-client-progs, glite-lb-utils, glite-lbjp-common-log
 Description: gLite Logging and Bookkeeping server
  glite-lb-server is the gLite LB server. This package contains the LB server
  daemon (glite-lb-bkserverd) and a tool for rebuilding server indices

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

b_base=glite-lb-server
p_dbg=glite-lb-server-dbg

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.server
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status *.spec
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -vf debian/tmp/usr/lib/*.la
	rm -vf debian/tmp/usr/lib/*.a
	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
	mkdir -p debian/$(p_base)/usr/share/doc
	mv debian/tmp/usr/share/doc/glite-lb-server-3.0.8 debian/$(p_base)/usr/share/doc/$(p_base)
	mkdir -p debian/$(p_dbg)/usr/share/doc
	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs project/ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installinit --onlyscripts --no-start
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=$(p_dbg)
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lb-server 3.0.15

=== Makefile ===
--- 
+++ 
@@ -27,14 +27,14 @@
 version=${module.version}
 
 SOURCES=\
-	config/glite-lb* config/my.cnf config/*.conf config/startup config/setup config/systemd.* \
+	config/glite-lb* config/my.cnf config/*.conf config/startup config/startup.* config/setup config/systemd.* \
 	doc/*.1 doc/*.8 \
 	interface/*.h \
 	src/*.c src/*.cpp src/*.h src/*.c.T src/*.l src/*.y src/*.sh src/*.sh.in src/ws_typemap.dat \
 	project/.post* project/.pre* \
 	test/*.cpp test/*.cpp.T test/*.sh test/oneJob.qry test/*.c \
 	Makefile
-SOURCES_EXEC=config/glite-lb-migrate* config/startup config/setup src/*.sh test/*.sh
+SOURCES_EXEC=config/glite-lb-migrate* config/startup config/startup.* config/setup src/*.sh test/*.sh
 
 all: compile
 
@@ -114,7 +114,7 @@
 endif
 CLASSADS_CFLAGS?=-I${classads_prefix}/include -I${classads_prefix}/include/classad
 CLASSADS_LIBS?=${classads_libs} -lclassad
-classad_namespace:=${shell if ${classads_prefix}/bin/classad_version | grep -i 'classad namespace.*yes' >/dev/null; then echo yes; fi}
+classad_namespace:=${shell if ${classads_prefix}/bin/classad_version | grep -i 'classad namespace.*no' >/dev/null; then echo no; else echo yes; fi}
 ifeq (${classad_namespace},yes)
 CLASSADS_CFLAGS+=-DCLASSAD_NAMESPACE=classad::
 else
@@ -358,4 +358,3 @@
 
 lb_xml_parse.c: lb_xml_parse.c.T
 	rm -f $@
-	${AT3} $< >$@ || ( rm -f $@; false )

=== debian/changelog ===
glite-lb-server (3.0.15-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:06 +0200

=== debian/control ===
Source: glite-lb-server
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), bison, chrpath, flex, glite-lb-types, glite-lb-ws-interface, gsoap, libc-ares-dev, libclassad0-dev | libclassad-dev, libcppunit-dev, libexpat1-dev, libglite-jobid-api-c-dev, libglite-lb-common-dev, libglite-lb-state-machine-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-gss-dev, libglite-lbjp-common-gsoap-plugin-dev, libglite-lbjp-common-log-dev, libglite-lbjp-common-maildir-dev, libglite-lbjp-common-server-bones-dev, libglite-lbjp-common-trio-dev, libgridsite-dev, libtool, libxml2-dev, lsb-base (>= 3.2-14), pkg-config, voms-dev
# gssapi is needed explicitly for glite-lb-server, but the proper package is
# known only in libglite-lbjp-common-gss-dev:
#  - gssapi from Globus (libglobus-gssapi-gsi-dev)
#  - gssapi from MIT Kerberos (libkrb5-dev)
#  - gssapi from Heimdal Kerberos (heimdal-dev)
#Build-Depends: libglobus-gssapi-gsi-dev
Standards-Version: 3.9.1
Section: misc
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: glite-lb-server
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mysql-server, glite-lb-client-progs, glite-lb-utils, glite-lbjp-common-log, adduser
Description: gLite Logging and Bookkeeping server
 glite-lb-server is the gLite LB server. This package contains the LB server
 daemon (glite-lb-bkserverd) and a tool for rebuilding server indices
 (glite-lb-bkindex).

Package: glite-lb-server-dbg
Section: debug
Architecture: any
Priority: extra
Depends: glite-lb-server (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B server
 This package contains debugging symbols for gLite L&B server.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-b_base=glite-lb-server
+p_base=glite-lb-server
 p_dbg=glite-lb-server-dbg
 
 -include /usr/share/dpkg/buildflags.mk
@@ -28,7 +28,7 @@
 clean: configure-stamp
 	dh_testdir
 	dh_testroot
-	rm -f configure-stamp build-stamp
+	rm -f configure-stamp build-stamp debian/glite-lb-bkserverd.init
 	$(MAKE) clean
 	rm -f Makefile.inc config.status *.spec
 	dh_clean
@@ -43,9 +43,11 @@
 	rm -vf debian/tmp/usr/lib/*.a
 	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
 	mkdir -p debian/$(p_base)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-server-3.0.8 debian/$(p_base)/usr/share/doc/$(p_base)
+	mv debian/tmp/usr/share/doc/glite-lb-server-3.0.15 debian/$(p_base)/usr/share/doc/$(p_base)
 	mkdir -p debian/$(p_dbg)/usr/share/doc
 	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
+	rm -rf debian/tmp/etc/init.d
+	cp -p config/startup.debian.bkserverd debian/glite-lb-bkserverd.init
 
 binary-indep:
 
@@ -57,7 +59,7 @@
 	dh_installexamples
 	dh_installman
 	dh_installlogrotate
-	dh_installinit --onlyscripts --no-start
+	dh_installinit --name=glite-lb-bkserverd
 	dh_installcron
 	dh_install --fail-missing
 	dh_link

## glite-lb-server 3.0.16

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
+docdir?=${prefix}/share/doc/${package}-${version}
 
 SOURCES=\
 	config/glite-lb* config/my.cnf config/*.conf config/startup config/startup.* config/setup config/systemd.* \
@@ -61,13 +62,16 @@
 endif
 
 ifeq ($(os_type),debian)
-sysdefaultdir=${sysconfdir}/default
-else
-sysdefaultdir=${sysconfdir}/sysconfig
+sysdefaultdir?=${sysconfdir}/default
+else
+sysdefaultdir?=${sysconfdir}/sysconfig
 endif
 
 ifeq ($(os_type),fedora)
 unitdir=`pkg-config systemd --variable=systemdsystemunitdir`
+mysqlconfdir?=${sysconfdir}/my.cnf.d
+else
+mysqlconfdir?=${sysconfdir}/mysql/conf.d
 endif
 
 GSOAP_FILES_PREFIX:= bk_ws_
@@ -154,9 +158,11 @@
 GSSAPI_GSI_CFLAGS=${GLOBUS_GSSAPI_GSI_CFLAGS}
 endif
 
-CFLAGS:= \
+CXXFLAGS?=${CFLAGS}
+
+CPPFLAGS:= \
 	${GSSAPI_GSI_CFLAGS} \
-	${WS_CFLAGS} ${DEBUG} \
+	${WS_CFLAGS} \
 	-DVERSION=\"${version}\" \
 	 ${GSOAP_CFLAGS} \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
@@ -165,12 +171,12 @@
 	${LIBCARES_CFLAGS} \
 	${CLASSADS_CFLAGS} \
 	${VOMS_CFLAGS} \
-	${COVERAGE_FLAGS} \
 	$(GRIDSITE_CFLAGS) ${LCAS_CFLAGS} ${GSOAP_CFLAGS} \
 	-D_GNU_SOURCE ${LB_STANDALONE_FLAGS} ${LB_PERF_FLAGS} -DLB_EVENTS_BLOB \
-	${GLITE_LBJP_COMMON_CFLAGS} ${CFLAGS}
-
-CXXFLAGS:=${CFLAGS}
+	${GLITE_LBJP_COMMON_CFLAGS}
+
+CFLAGS:=${CPPFLAGS} ${DEBUG} ${COVERAGE_FLAGS} ${CFLAGS}
+CXXFLAGS:=${CPPFLAGS} ${DEBUG} ${COVERAGE_FLAGS} ${CXXFLAGS}
 
 ifdef LB_PROF
 	SRVBONES_LIB:= ${stagedir}${prefix}/${libdir}/libglite_lbu_server_bones.la
@@ -333,7 +339,7 @@
 	if echo "${localstatedir}" | grep 'glite'>/dev/null; then \
 		glite_var="${localstatedir}"; \
 	fi; \
-	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' -e "s:@glite_var@:$$glite_var:g" -e 's:@defaultdir@:${sysdefaultdir}:g' ${top_srcdir}/config/$@ > $@
+	sed -e 's:@glite_prefix@:${sysroot}${prefix}:g' -e 's:@glite_etc@:${sysconfdir}:g' -e "s:@glite_var@:$$glite_var:g" -e 's:@defaultdir@:${sysdefaultdir}:g' -e 's:@mysqlconfdir@:${mysqlconfdir}:' ${top_srcdir}/config/$@ > $@
 ifneq ($(os_type),debian)
 	sed -i 's/# \(Default-Start\|Default-Stop\):.*/# \1:/' $@
 endif
@@ -353,8 +359,3 @@
 
 test_coverage:
 	-mkdir coverage
-	cd coverage && $(MAKE) -f ../Makefile top_srcdir=../../ COVERAGE_FLAGS="-fprofile-arcs -ftest-coverage" check
-	cd coverage && for i in `echo ${INDEX_OBJS} ${BKSERVER_OBJS} | tr ' ' '\012' | sort -u`; do gcov $$i ; done
-
-lb_xml_parse.c: lb_xml_parse.c.T
-	rm -f $@

=== debian/changelog ===
glite-lb-server (3.0.16-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lb.server
+	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --docdir=/usr/share/doc/$(p_base) --mysqlconfdir=/etc/mysql/conf.d --project=emi --module lb.server
 	touch $@
 
 build: build-arch build-indep
@@ -43,7 +43,7 @@
 	rm -vf debian/tmp/usr/lib/*.a
 	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
 	mkdir -p debian/$(p_base)/usr/share/doc
-	mv debian/tmp/usr/share/doc/glite-lb-server-3.0.15 debian/$(p_base)/usr/share/doc/$(p_base)
+	mv debian/tmp/usr/share/doc/$(p_base) debian/$(p_base)/usr/share/doc/$(p_base)
 	mkdir -p debian/$(p_dbg)/usr/share/doc
 	ln -s $(p_base) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
 	rm -rf debian/tmp/etc/init.d
